#
# spec file for package kirigami
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           kirigami
Version:        1.1.0
Release:        bp154.1.33
Summary:        Set of QtQuick components
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Url:            http://www.kde.org/
Source:         http://download.kde.org/stable/kirigami/%{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= 0.0.8
BuildRequires:  kf5-filesystem
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5Gui) >= 5.5.0
BuildRequires:  cmake(Qt5Quick) >= 5.5.0
BuildRequires:  cmake(Qt5Svg) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with lang}
BuildRequires:  cmake(Qt5LinguistTools) >= 5.5.0
%endif
%if %{with lang}
Recommends:     %{name}-lang = %{version}
%endif

%description
QtQuick plugins to build user interfaces based on the KDE UX guidelines.

%package devel
Summary:        Development package for kirigami
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}

%description devel
QtQuick plugins to build user interfaces based on the KDE UX guidelines.
Development files.

%lang_package

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build

%if %{with lang}
%find_lang libkirigamiplugin --with-qt --without-mo
%endif

%if %{with lang}
%files lang -f libkirigamiplugin.lang
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE*
%{_kf5_qmldir}/

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/cmake/KF5Kirigami/
%{_kf5_mkspecsdir}/qt_Kirigami.pri

%changelog
* Mon Sep 26 2016 lbeltrame@kde.org
- New upstream release 1.1.0
  * Menu
  knowing which is the parent of the currently displayed submenu.
  allow the submenu view to be reset when the application needs it to.
  control the behavior we want upon a leaf action press
  Have submenus also trigger their action, in case it needs to do something
  * OverlaySheet
  possible to embed ListView and GridView instances in it as well
  * Drawer
  The drawer width now is standardized so all applications look coherent from one another
  Elide title if it doesn't fit
  Introduced GlobalDrawer.bannerClicked signal to let applications react to banner interaction
  * SwipeListItem has been polished to make sure its contents can fit to the space they have
  * The application window now has a default shortcut to close the application, depending on the system preferences. Commonly Ctrl+Q.
  * Introduced the Separator component
- A bunch of fixing and polishing- Use the source URL
* Wed Aug 24 2016 kamikazow@web.de
- Corrected license tag (LGPL instead of GPL)
- Update to Kirigami 1.0.2
* Fri Aug 12 2016 hrvoje.senjan@gmail.com
- Activate kirigami package
